await seam.spaces.get({ space_id: "5f30970d-6ef5-4618-9e91-e701fbca6b63" });
/*
{
"created_at": "2025-06-16T16:54:17.946600Z",
"display_name": "My Space",
"name": "My Space",
"space_id": "5f30970d-6ef5-4618-9e91-e701fbca6b63",
"workspace_id": "96bd12f9-6def-4bf4-b517-760417451ae9"
}
*/
{
"space": {
"acs_entrance_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"device_count": 123,
"display_name": "<string>",
"name": "<string>",
"space_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_data": {
"address": "<string>",
"default_checkin_time": "<string>",
"default_checkout_time": "<string>",
"time_zone": "<string>"
},
"customer_key": "<string>",
"geolocation": {
"latitude": 123,
"longitude": 123
},
"space_key": "<string>"
}
}Spaces
Get a Space
Gets a space.
You must include at least one request parameter.
GET
/
spaces
/
get
await seam.spaces.get({ space_id: "5f30970d-6ef5-4618-9e91-e701fbca6b63" });
/*
{
"created_at": "2025-06-16T16:54:17.946600Z",
"display_name": "My Space",
"name": "My Space",
"space_id": "5f30970d-6ef5-4618-9e91-e701fbca6b63",
"workspace_id": "96bd12f9-6def-4bf4-b517-760417451ae9"
}
*/
{
"space": {
"acs_entrance_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"device_count": 123,
"display_name": "<string>",
"name": "<string>",
"space_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_data": {
"address": "<string>",
"default_checkin_time": "<string>",
"default_checkout_time": "<string>",
"time_zone": "<string>"
},
"customer_key": "<string>",
"geolocation": {
"latitude": 123,
"longitude": 123
},
"space_key": "<string>"
}
}Authorizations
pat_with_workspaceconsole_session_with_workspaceapi_keyclient_session_with_customerclient_session_with_customer_rosupport_read_only_token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the space that you want to get.
Unique key of the space that you want to get.
Minimum string length:
1Response
OK
Represents a space that is a logical grouping of devices and entrances. You can assign access to an entire space, thereby making granting access more efficient. See the space object.
Show child attributes
Show child attributes
Was this page helpful?